#!/bin/sh
MANDIR=/usr/man/cs
echo $LANG
for i in latest/man?
do
  cislosekce=${i: -1}
  install -d -m 755 $MANDIR/man$cislosekce
  if echo $LANG $LC_ALL | grep -qi UTF-8 
  then
    for souborscestou in $(find latest/man$cislosekce -type f -print)
    do
      soubor=`basename $souborscestou`
      install -p -m 644 $souborscestou $MANDIR/man$cislosekce/$soubor
    done
  else
    for souborscestou in $(find latest/man$cislosekce -type f -print)
    do
      soubor=`basename $souborscestou`
      iconv -f UTF-8 -t ISO-8859-2 $souborscestou -o $MANDIR/man$cislosekce/$soubor
      chmod 644 $MANDIR/man$cislosekce/$soubor
      touch -c -r $souborscestou $MANDIR/man$cislosekce/$soubor
    done
  fi
done
										